Goocanvas::GridModel Class Reference
Inheritance diagram for Goocanvas::GridModel:
[legend]

## Public Member Functions

| GridModel (GridModel&& src) noexcept
GridModel& | operator= (GridModel&& src) noexcept
virtual | ~GridModel () noexcept
GooCanvasGridModel* | gobj ()
| Provides access to the underlying C GObject. More...
const GooCanvasGridModel* | gobj () const
| Provides access to the underlying C GObject. More...
GooCanvasGridModel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::PropertyProxy< double > | property_x_step ()
| The distance between the vertical grid lines. More...
Glib::PropertyProxy_ReadOnly< double > | property_x_step () const
| The distance between the vertical grid lines. More...
Glib::PropertyProxy< double > | property_y_step ()
| The distance between the horizontal grid lines. More...
Glib::PropertyProxy_ReadOnly< double > | property_y_step () const
| The distance between the horizontal grid lines. More...
Glib::PropertyProxy< double > | property_x_offset ()
| The distance before the first vertical grid line. More...
Glib::PropertyProxy_ReadOnly< double > | property_x_offset () const
| The distance before the first vertical grid line. More...
Glib::PropertyProxy< double > | property_y_offset ()
| The distance before the first horizontal grid line. More...
Glib::PropertyProxy_ReadOnly< double > | property_y_offset () const
| The distance before the first horizontal grid line. More...
Glib::PropertyProxy< double > | property_horz_grid_line_width ()
| The width of the horizontal grid lines. More...
Glib::PropertyProxy_ReadOnly< double > | property_horz_grid_line_width () const
| The width of the horizontal grid lines. More...
Glib::PropertyProxy< double > | property_vert_grid_line_width ()
| The width of the vertical grid lines. More...
Glib::PropertyProxy_ReadOnly< double > | property_vert_grid_line_width () const
| The width of the vertical grid lines. More...
Glib::PropertyProxy< Cairo::RefPtr< Cairo::Pattern > > | property_horz_grid_line_pattern ()
| The cairo pattern to paint the horizontal grid lines with. More...
Glib::PropertyProxy_ReadOnly< Cairo::RefPtr< Cairo::Pattern > > | property_horz_grid_line_pattern () const
| The cairo pattern to paint the horizontal grid lines with. More...
Glib::PropertyProxy< Cairo::RefPtr< Cairo::Pattern > > | property_vert_grid_line_pattern ()
| The cairo pattern to paint the vertical grid lines with. More...
Glib::PropertyProxy_ReadOnly< Cairo::RefPtr< Cairo::Pattern > > | property_vert_grid_line_pattern () const
| The cairo pattern to paint the vertical grid lines with. More...
Glib::PropertyProxy< double > | property_border_width ()
| The width of the border around the grid. More...
Glib::PropertyProxy_ReadOnly< double > | property_border_width () const
| The width of the border around the grid. More...
Glib::PropertyProxy< Cairo::RefPtr< Cairo::Pattern > > | property_border_pattern ()
| The cairo pattern to paint the border with. More...
Glib::PropertyProxy_ReadOnly< Cairo::RefPtr< Cairo::Pattern > > | property_border_pattern () const
| The cairo pattern to paint the border with. More...
Glib::PropertyProxy< bool > | property_vert_grid_lines_on_top ()
| If the vertical grid lines are painted above the horizontal grid lines. More...
Glib::PropertyProxy_ReadOnly< bool > | property_vert_grid_lines_on_top () const
| If the vertical grid lines are painted above the horizontal grid lines. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_horz_grid_line_color ()
| The color to use for the horizontal grid lines. More...
Glib::PropertyProxy< guint > | property_horz_grid_line_color_rgba ()
| The color to use for the horizontal grid lines, specified as a 32-bit integer value. More...
Glib::PropertyProxy_ReadOnly< guint > | property_horz_grid_line_color_rgba () const
| The color to use for the horizontal grid lines, specified as a 32-bit integer value. More...
Glib::PropertyProxy_WriteOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_horz_grid_line_pixbuf ()
| The pixbuf to use to draw the horizontal grid lines. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_vert_grid_line_color ()
| The color to use for the vertical grid lines. More...
Glib::PropertyProxy< guint > | property_vert_grid_line_color_rgba ()
| The color to use for the vertical grid lines, specified as a 32-bit integer value. More...
Glib::PropertyProxy_ReadOnly< guint > | property_vert_grid_line_color_rgba () const
| The color to use for the vertical grid lines, specified as a 32-bit integer value. More...
Glib::PropertyProxy_WriteOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_vert_grid_line_pixbuf ()
| The pixbuf to use to draw the vertical grid lines. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_border_color ()
| The color to use for the border. More...
Glib::PropertyProxy< guint > | property_border_color_rgba ()
| The color to use for the border, specified as a 32-bit integer value. More...
Glib::PropertyProxy_ReadOnly< guint > | property_border_color_rgba () const
| The color to use for the border, specified as a 32-bit integer value. More...
Glib::PropertyProxy_WriteOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_border_pixbuf ()
| The pixbuf to use to draw the border. More...
Public Member Functions inherited from Goocanvas::ItemModelSimple
| ItemModelSimple (ItemModelSimple&& src) noexcept
ItemModelSimple& | operator= (ItemModelSimple&& src) noexcept
virtual | ~ItemModelSimple () noexcept
GooCanvasItemModelSimple* | gobj ()
| Provides access to the underlying C GObject. More...
const GooCanvasItemModelSimple* | gobj () const
| Provides access to the underlying C GObject. More...
GooCanvasItemModelSimple* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::PropertyProxy< Cairo::Antialias > | property_antialias ()
| The antialiasing mode to use. More...
Glib::PropertyProxy_ReadOnly< Cairo::Antialias > | property_antialias () const
| The antialiasing mode to use. More...
Glib::PropertyProxy< Cairo::FillRule > | property_clip_fill_rule ()
| The fill rule used to determine which parts of the item are clipped. More...
Glib::PropertyProxy_ReadOnly< Cairo::FillRule > | property_clip_fill_rule () const
| The fill rule used to determine which parts of the item are clipped. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_clip_path ()
| The sequence of path commands specifying the clip path. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_fill_color ()
| The color to use to paint the interior of the item. More...
Glib::PropertyProxy< guint > | property_fill_color_rgba ()
| The color to use to paint the interior of the item, specified as a 32-bit integer value. More...
Glib::PropertyProxy_ReadOnly< guint > | property_fill_color_rgba () const
| The color to use to paint the interior of the item, specified as a 32-bit integer value. More...
Glib::PropertyProxy< Cairo::RefPtr< Cairo::Pattern > > | property_fill_pattern ()
| The pattern to use to paint the interior of the item, or NULL to disable painting. More...
Glib::PropertyProxy_ReadOnly< Cairo::RefPtr< Cairo::Pattern > > | property_fill_pattern () const
| The pattern to use to paint the interior of the item, or NULL to disable painting. More...
Glib::PropertyProxy_WriteOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_fill_pixbuf ()
| The pixbuf to use to paint the interior of the item. More...
Glib::PropertyProxy< Glib::ustring > | property_font ()
| The base font to use for the text. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_font () const
| The base font to use for the text. More...
Glib::PropertyProxy< Pango::FontDescription > | property_font_desc ()
| The attributes specifying which font to use. More...
Glib::PropertyProxy_ReadOnly< Pango::FontDescription > | property_font_desc () const
| The attributes specifying which font to use. More...
Glib::PropertyProxy< Cairo::HintMetrics > | property_hint_metrics ()
| The hinting to be used for font metrics. More...
Glib::PropertyProxy_ReadOnly< Cairo::HintMetrics > | property_hint_metrics () const
| The hinting to be used for font metrics. More...
Glib::PropertyProxy< Cairo::LineCap > | property_line_cap ()
| The line cap style to use. More...
Glib::PropertyProxy_ReadOnly< Cairo::LineCap > | property_line_cap () const
| The line cap style to use. More...
Glib::PropertyProxy< LineDash > | property_line_dash ()
| The dash pattern to use. More...
Glib::PropertyProxy_ReadOnly< LineDash > | property_line_dash () const
| The dash pattern to use. More...
Glib::PropertyProxy< Cairo::LineJoin > | property_line_join ()
| The line join style to use. More...
Glib::PropertyProxy_ReadOnly< Cairo::LineJoin > | property_line_join () const
| The line join style to use. More...
Glib::PropertyProxy< double > | property_line_join_miter_limit ()
| The smallest angle to use with miter joins, in degrees. More...
Glib::PropertyProxy_ReadOnly< double > | property_line_join_miter_limit () const
| The smallest angle to use with miter joins, in degrees. More...
Glib::PropertyProxy< double > | property_line_width ()
| The line width to use for the item's perimeter. More...
Glib::PropertyProxy_ReadOnly< double > | property_line_width () const
| The line width to use for the item's perimeter. More...
Glib::PropertyProxy< Cairo::Operator > | property_operator ()
| The compositing operator to use. More...
Glib::PropertyProxy_ReadOnly< Cairo::Operator > | property_operator () const
| The compositing operator to use. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_stroke_color ()
| The color to use for the item's perimeter. More...
Glib::PropertyProxy< guint > | property_stroke_color_rgba ()
| The color to use for the item's perimeter, specified as a 32-bit integer value. More...
Glib::PropertyProxy_ReadOnly< guint > | property_stroke_color_rgba () const
| The color to use for the item's perimeter, specified as a 32-bit integer value. More...
Glib::PropertyProxy< Cairo::RefPtr< Cairo::Pattern > > | property_stroke_pattern ()
| The pattern to use to paint the perimeter of the item, or NULL disable painting. More...
Glib::PropertyProxy_ReadOnly< Cairo::RefPtr< Cairo::Pattern > > | property_stroke_pattern () const
| The pattern to use to paint the perimeter of the item, or NULL disable painting. More...
Glib::PropertyProxy_WriteOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_stroke_pixbuf ()
| The pixbuf to use to draw the item's perimeter. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Goocanvas::ItemModel
| ItemModel (ItemModel&& src) noexcept
ItemModel& | operator= (ItemModel&& src) noexcept
virtual | ~ItemModel () noexcept
GooCanvasItemModel* | gobj ()
| Provides access to the underlying C GObject. More...
const GooCanvasItemModel* | gobj () const
| Provides access to the underlying C GObject. More...
int | get_n_children () const
| Gets the number of children of the container. More...
Glib::RefPtr< ItemModel > | get_child (int child_num)
| Gets the child at the given stack position. More...
Glib::RefPtr< const ItemModel > | get_child (int child_num) const
| Gets the child at the given stack position. More...
void | get_child_property (const Glib::RefPtr< ItemModel >& child, const Glib::ustring& property_name, Glib::ValueBase& value) const
| Gets a child property of child. More...
void | set_child_property (const Glib::RefPtr< ItemModel >& child, const Glib::ustring& property_name, const Glib::ValueBase& value)
| Sets a child property of child. More...
void | add_child (const Glib::RefPtr< ItemModel >& child, int position)
| Adds a child at the given stack position. More...
void | add_child (const Glib::RefPtr< ItemModel >& child)
void | move_child (int old_position, int new_position)
| Moves a child to a new stack position. More...
void | remove_child (int child_num)
| Removes the child at the given position. More...
int | find_child (const Glib::RefPtr< ItemModel >& child)
| Attempts to find the given child with the container's stack. More...
Glib::RefPtr< ItemModel > | get_parent ()
| Gets the parent of the given model. More...
Glib::RefPtr< const ItemModel > | get_parent () const
| Gets the parent of the given model. More...
void | set_parent (const Glib::RefPtr< ItemModel >& parent)
| This function is only intended to be used when implementing new canvas item models (specifically container models such as Goo::CanvasGroupModel). More...
void | remove ()
| Removes a model from its parent. More...
bool | is_container () const
| Tests to see if the given item model is a container. More...
void | raise (const Glib::RefPtr< ItemModel >& above)
| Raises a model in the stacking order. More...
void | raise ()
| Raise the item to the top of the stack. More...
void | lower (const Glib::RefPtr< ItemModel >& below)
| Lowers a model in the stacking order. More...
void | lower ()
| Lower the item to the bottom of the stack. More...
bool | get_transform (Cairo::Matrix*transform)
| Gets the transformation matrix of an item model. More...
void | set_transform (const Cairo::Matrix*transform)
| Sets the transformation matrix of an item model. More...
void | set_simple_transform (double x, double y, double scale, double rotation)
| A convenience function to set the item model's transformation matrix. More...
bool | get_simple_transform (double& x, double& y, double&scale, double& rotation) const
| This function can be used to get the position, scale and rotation of an item model, providing that the model has a simple transformation matrix (e.g. set with set_simple_transform(), or using a combination of simple translate, scale and rotate operations). More...
void | translate (double tx, double ty)
| Translates the origin of the model's coordinate system by the given amounts. More...
void | scale (double sx, double sy)
| Scales the model's coordinate system by the given amounts. More...
void | rotate (double degrees, double cx, double cy)
| Rotates the model's coordinate system by the given amount, about the given origin. More...
void | skew_x (double degrees, double cx, double cy)
| Skews the model's coordinate system along the x axis by the given amount, about the given origin. More...
void | skew_y (double degrees, double cx, double cy)
| Skews the model's coordinate system along the y axis by the given amount, about the given origin. More...
Glib::RefPtr< Style > | get_style ()
| Gets the model's style. More...
Glib::RefPtr< const Style > | get_style () const
| Gets the model's style. More...
void | set_style (const Glib::RefPtr< Style >& style)
| Sets the model's style, by copying the properties from the given style. More...
void | animate (double x, double y, double scale, double degrees, bool absolute, int duration, int step_time, AnimateType animate_type)
| Animates a model from its current position to the given offsets, scale and rotation. More...
void | stop_animation ()
| Stops any current animation for the given model, leaving it at its current position. More...
Glib::SignalProxy1< void, int > | signal_child_added ()
Glib::SignalProxy1< void, int > | signal_child_removed ()
Glib::SignalProxy2< void, int, int > | signal_child_moved ()
Glib::SignalProxy1< void, bool > | signal_changed ()
Glib::SignalProxy1< void, GParamSpec* > | signal_child_notify ()
Glib::SignalProxy1< void, bool > | signal_animation_finished ()
Glib::PropertyProxy< Glib::RefPtr< ItemModel > > | property_parent ()
| The parent item model. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< ItemModel > > | property_parent () const
| The parent item model. More...
Glib::PropertyProxy< bool > | property_can_focus ()
| If the item can take the keyboard focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| If the item can take the keyboard focus. More...
Glib::PropertyProxy< Cairo::Matrix* > | property_transform ()
| The transformation matrix of the item. More...
Glib::PropertyProxy_ReadOnly< Cairo::Matrix* > | property_transform () const
| The transformation matrix of the item. More...
Glib::PropertyProxy< Glib::ustring > | property_title ()
| A short context-rich description of the item for use by assistive technologies. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_title () const
| A short context-rich description of the item for use by assistive technologies. More...
Glib::PropertyProxy< Glib::ustring > | property_description ()
| A description of the item for use by assistive technologies. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_description () const
| A description of the item for use by assistive technologies. More...
Glib::PropertyProxy< PointerEvents > | property_pointer_events ()
| Specifies when the item receives pointer events. More...
Glib::PropertyProxy_ReadOnly< PointerEvents > | property_pointer_events () const
| Specifies when the item receives pointer events. More...
Glib::PropertyProxy< ItemVisibility > | property_visibility ()
| When the canvas item is visible. More...
Glib::PropertyProxy_ReadOnly< ItemVisibility > | property_visibility () const
| When the canvas item is visible. More...
Glib::PropertyProxy< double > | property_visibility_threshold ()
| The scale threshold at which the item becomes visible. More...
Glib::PropertyProxy_ReadOnly< double > | property_visibility_threshold () const
| The scale threshold at which the item becomes visible. More...
Glib::PropertyProxy< double > | property_x ()
| The x coordinate of the left side of the item. More...
Glib::PropertyProxy_ReadOnly< double > | property_x () const
| The x coordinate of the left side of the item. More...
Glib::PropertyProxy< double > | property_y ()
| The y coordinate of the top of the item. More...
Glib::PropertyProxy_ReadOnly< double > | property_y () const
| The y coordinate of the top of the item. More...
Glib::PropertyProxy< double > | property_width ()
| The width of the item. More...
Glib::PropertyProxy_ReadOnly< double > | property_width () const
| The width of the item. More...
Glib::PropertyProxy< double > | property_height ()
| The height of the item. More...
Glib::PropertyProxy_ReadOnly< double > | property_height () const
| The height of the item. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface () noexcept
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< GridModel > | create (double x=0, double y=0, double width=0, double height=0, double x_step=0, double y_step=0, double x_offset=0, double y_offset=0)
Static Public Member Functions inherited from Goocanvas::ItemModelSimple
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Goocanvas::ItemModel
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions

| GridModel (double x=0, double y=0, double width=0, double height=0, double x_step=0, double y_step=0, double x_offset=0, double y_offset=0)
Protected Member Functions inherited from Goocanvas::ItemModelSimple
| ItemModelSimple ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object () noexcept
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Goocanvas::ItemModel
| ItemModel ()
| You should derive from this class to use it. More...
virtual int | get_n_children_vfunc () const
virtual Glib::RefPtr< ItemModel > | get_child_vfunc (int child_num) const
virtual void | add_child_vfunc (const Glib::RefPtr< ItemModel >& child, int position)
virtual void | move_child_vfunc (int old_position, int ne_position)
virtual void | remove_child_vfunc (int child_num)
virtual void | get_child_property_vfunc (const Glib::RefPtr< ItemModel >& child, guint property_id, Glib::ValueBase& value, GParamSpec* pspec) const
virtual void | set_child_property_vfunc (const Glib::RefPtr< ItemModel >& child, guint property_id, const Glib::ValueBase& value, GParamSpec* pspec)
virtual Glib::RefPtr< ItemModel > | get_parent_vfunc () const
virtual void | set_parent_vfunc (const Glib::RefPtr< ItemModel >& parent)
virtual Glib::RefPtr< Item > | create_item_vfunc (Canvas* canvas)
virtual bool | get_transform_vfunc (Cairo::Matrix*transform) const
virtual void | set_transform_vfunc (const Cairo::Matrix*transform)
virtual Glib::RefPtr< Style > | get_style_vfunc () const
virtual void | set_style_vfunc (const Glib::RefPtr< Style >& style)
virtual void | on_child_added (int child_num)
| This is a default handler for the signal signal_child_added(). More...
virtual void | on_child_removed (int child_num)
| This is a default handler for the signal signal_child_removed(). More...
virtual void | on_child_moved (int old_child_num, int new_child_num)
| This is a default handler for the signal signal_child_moved(). More...
virtual void | on_changed (bool recompute_bounds)
| This is a default handler for the signal signal_changed(). More...
virtual void | on_child_notify (GParamSpec* pspec)
| This is a default handler for the signal signal_child_notify(). More...
virtual void | on_animation_finished (bool stopped)
| This is a default handler for the signal signal_animation_finished(). More...

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::GridModel > | wrap (GooCanvasGridModel* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Goocanvas::ItemModelSimple
Glib::RefPtr< Goocanvas::ItemModelSimple > | wrap (GooCanvasItemModelSimple* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Goocanvas::ItemModel
Glib::RefPtr< Goocanvas::ItemModel > | wrap (GooCanvasItemModel* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members

Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Constructor & Destructor Documentation

Goocanvas::GridModel::GridModel | ( | GridModel&& | src | ) |

noexcept

virtual Goocanvas::GridModel::~GridModel | ( |  | ) |

virtual noexcept

Goocanvas::GridModel::GridModel | ( | double | x = `0`,
|  | double | y = `0`,
|  | double | width = `0`,
|  | double | height = `0`,
|  | double | x_step = `0`,
|  | double | y_step = `0`,
|  | double | x_offset = `0`,
|  | double | y_offset = `0`
| ) |  |

explicit protected

## Member Function Documentation

static Glib::RefPtr<GridModel> Goocanvas::GridModel::create | ( | double | x = `0`,
|  | double | y = `0`,
|  | double | width = `0`,
|  | double | height = `0`,
|  | double | x_step = `0`,
|  | double | y_step = `0`,
|  | double | x_offset = `0`,
|  | double | y_offset = `0`
| ) |  |

static

static GType Goocanvas::GridModel::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GooCanvasGridModel* Goocanvas::GridModel::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GooCanvasGridModel* Goocanvas::GridModel::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

GooCanvasGridModel* Goocanvas::GridModel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

GridModel& Goocanvas::GridModel::operator= | ( | GridModel&& | src | ) |

noexcept

Glib::PropertyProxy_WriteOnly< Glib::ustring > Goocanvas::GridModel::property_border_color | ( |  | ) |

The color to use for the border.

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Goocanvas::GridModel::property_border_color_rgba | ( |  | ) |

The color to use for the border, specified as a 32-bit integer value.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Goocanvas::GridModel::property_border_color_rgba | ( |  | ) | const

The color to use for the border, specified as a 32-bit integer value.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::GridModel::property_border_pattern | ( |  | ) |

The cairo pattern to paint the border with.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::GridModel::property_border_pattern | ( |  | ) | const

The cairo pattern to paint the border with.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::GridModel::property_border_pixbuf | ( |  | ) |

The pixbuf to use to draw the border.

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Goocanvas::GridModel::property_border_width | ( |  | ) |

The width of the border around the grid.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Goocanvas::GridModel::property_border_width | ( |  | ) | const

The width of the border around the grid.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Goocanvas::GridModel::property_horz_grid_line_color | ( |  | ) |

The color to use for the horizontal grid lines.

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Goocanvas::GridModel::property_horz_grid_line_color_rgba | ( |  | ) |

The color to use for the horizontal grid lines, specified as a 32-bit integer value.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Goocanvas::GridModel::property_horz_grid_line_color_rgba | ( |  | ) | const

The color to use for the horizontal grid lines, specified as a 32-bit integer value.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::GridModel::property_horz_grid_line_pattern | ( |  | ) |

The cairo pattern to paint the horizontal grid lines with.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::GridModel::property_horz_grid_line_pattern | ( |  | ) | const

The cairo pattern to paint the horizontal grid lines with.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::GridModel::property_horz_grid_line_pixbuf | ( |  | ) |

The pixbuf to use to draw the horizontal grid lines.

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Goocanvas::GridModel::property_horz_grid_line_width | ( |  | ) |

The width of the horizontal grid lines.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Goocanvas::GridModel::property_horz_grid_line_width | ( |  | ) | const

The width of the horizontal grid lines.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Goocanvas::GridModel::property_vert_grid_line_color | ( |  | ) |

The color to use for the vertical grid lines.

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Goocanvas::GridModel::property_vert_grid_line_color_rgba | ( |  | ) |

The color to use for the vertical grid lines, specified as a 32-bit integer value.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Goocanvas::GridModel::property_vert_grid_line_color_rgba | ( |  | ) | const

The color to use for the vertical grid lines, specified as a 32-bit integer value.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::GridModel::property_vert_grid_line_pattern | ( |  | ) |

The cairo pattern to paint the vertical grid lines with.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::GridModel::property_vert_grid_line_pattern | ( |  | ) | const

The cairo pattern to paint the vertical grid lines with.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::GridModel::property_vert_grid_line_pixbuf | ( |  | ) |

The pixbuf to use to draw the vertical grid lines.

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Goocanvas::GridModel::property_vert_grid_line_width | ( |  | ) |

The width of the vertical grid lines.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Goocanvas::GridModel::property_vert_grid_line_width | ( |  | ) | const

The width of the vertical grid lines.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Goocanvas::GridModel::property_vert_grid_lines_on_top | ( |  | ) |

If the vertical grid lines are painted above the horizontal grid lines.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Goocanvas::GridModel::property_vert_grid_lines_on_top | ( |  | ) | const

If the vertical grid lines are painted above the horizontal grid lines.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Goocanvas::GridModel::property_x_offset | ( |  | ) |

The distance before the first vertical grid line.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Goocanvas::GridModel::property_x_offset | ( |  | ) | const

The distance before the first vertical grid line.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Goocanvas::GridModel::property_x_step | ( |  | ) |

The distance between the vertical grid lines.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Goocanvas::GridModel::property_x_step | ( |  | ) | const

The distance between the vertical grid lines.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Goocanvas::GridModel::property_y_offset | ( |  | ) |

The distance before the first horizontal grid line.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Goocanvas::GridModel::property_y_offset | ( |  | ) | const

The distance before the first horizontal grid line.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Goocanvas::GridModel::property_y_step | ( |  | ) |

The distance between the horizontal grid lines.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Goocanvas::GridModel::property_y_step | ( |  | ) | const

The distance between the horizontal grid lines.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::GridModel > wrap | ( | GooCanvasGridModel * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/gridmodel.h